Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.avalon
Class AvalonTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.fulcrum.testcontainer.BaseUnitTest
                  org.apache.torque.avalon.AvalonTest

All Implemented Interfaces:
  junit.framework.Test

    public class AvalonTest

extends org.apache.fulcrum.testcontainer.BaseUnitTest

Basic testing of the Torque Avalon Component

Version:
  $Id: AvalonTest.java 1448414 2013-02-20 21:06:35Z tfischer $
Author:
  Thomas Vandahl

Field Summary

Fields inherited from class org.apache.fulcrum.testcontainer.BaseUnitTest
`COMPONENT_APP_ROOT, CONTAINER_ECM, CONTAINER_YAAFI, containerType`

Constructor Summary
`AvalonTest(String name)` Constructor for test.

Method Summary
`void` | `setUp()`
`void` | `testAvalonTorqueInitialized()` Verifies that the container initialization and lookup works properly.
`void` | `testAvalonTorqueNotInitialized()` Verifies that the container initialization and lookup works properly.

Methods inherited from class org.apache.fulcrum.testcontainer.BaseUnitTest
`getConfigurationFileName, getParameterFileName, getRoleFileName, lookup, release, resolve, setConfigurationFileName, setRoleFileName, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AvalonTest

    public AvalonTest(String name)

  Constructor for test.

  Parameters:
    `name` - The name of the test being executed

Method Detail

### setUp

    public void setUp()
               throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### testAvalonTorqueNotInitialized

    public void testAvalonTorqueNotInitialized()
                                        throws Exception

  Verifies that the container initialization and lookup works properly.

  Throws:
    `Exception`

### testAvalonTorqueInitialized

    public void testAvalonTorqueInitialized()
                                     throws Exception

  Verifies that the container initialization and lookup works properly.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.